import request from '@/utils/request'
// 获取店铺列表
export function getStoreAlertsList(query) {
    return request({
        url: '/backendApi/storeAlerts/list',
        method: 'get',
        params: query
    })
  }
  
  // 获取店铺详情
  export function getStoreAlertsDetail(shopId) {
    return request({
        url: `/backendApi/storeAlerts/${shopId}`,
        method: 'get'
    })
  }
  
  // 新增预警
  export function addStoreAlerts(data) {
    return request({
        url: '/backendApi/storeAlerts/add',
        method: 'post',
        data
    })
  }
  
  // 更新预警
  export function updateStoreAlerts(shopId, data) {
    return request({
        url: `/backendApi/storeAlerts/update/${shopId}`,
        method: 'post',
        data
    })
  }
  
  // 清除预警配置信息
  export function clearStoreAlerts(shopId) {
    return request({
        url: `/backendApi/storeAlerts/clear/${shopId}`,
        method: 'post'
    })
  } 
    // 清除预警配置信息
    export function getInterval() {
        return request({
            url: `/backendApi/storeAlerts/interval`,
            method: 'get'
        })
      } 